Bug 766446 (CVE-2011-4603)

Summary: CVE-2011-4603 pidgin: SILC remote crash on channel messages
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: daniel_atallah, deryni, eblanton, itamar, jrb, lschiere+bugs, mark, mathstuf, mbarnes, stu, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20111211,reported=20111211,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-4/pidgin=affected,rhel-5/pidgin=affected,fedora-all/pidgin=affected,rhel-6/pidgin=notaffected
Fixed In Version: pidgin 2.10.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-14 14:28:05 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 766449, 766450, 766451, 766454, 833969    
Bug Blocks: 761529    

Description Huzaifa S. Sidhpurwala 2011-12-11 23:54:54 EST
When receiving various incoming messages, the SILC protocol plugin failed to validate that a piece of text was UTF-8. In some cases invalid UTF-8 data would lead to a crash. This vulnerability is similar to CVE-2011-3594, but occurs in a different piece of code and was fixed at a later date.

Reference:
http://pidgin.im/news/security/?id=59
Patch: http://developer.pidgin.im/viewmtn/revision/info/afb9ede3de989f217f03d5670cca00e628bd11f1
Comment 2 Huzaifa S. Sidhpurwala 2011-12-12 00:05:59 EST
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 766454]
Comment 3 Murray McAllister 2011-12-14 00:14:37 EST
Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Diego Bauche Madero from IOActive as the original reporter.
Comment 4 errata-xmlrpc 2011-12-14 14:06:20 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:1820 https://rhn.redhat.com/errata/RHSA-2011-1820.html
Comment 5 Vincent Danen 2011-12-14 14:28:05 EST
Statement:

Not vulnerable.  This issue did not affect the version of pidgin as shipped with Red Hat Enterprise Linux 6 as it explicitly disables support for the SILC protocol.
Comment 6 Fedora Update System 2012-01-05 15:54:49 EST
pidgin-2.10.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-01-07 17:59:06 EST
pidgin-2.10.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.